TAU2SLOG2(1)

NAME
tau2slog2 - convert TAU tracefiles to SLOG2 tracefiles

SYNOPSIS

tau2slog2 {tau_tracefile} {tau_eventfile} {-o slog2_tracefile}

DESCRIPTION

This program is generated when TAU is configured with the -slog2 or -slog2=<slog2_dir> option.

The tau2slog2 trace converter takes a single tau trace file (*.trc) and event definition file (*.edf) and produces a corresponding slog2 binary trace file (*.slog2).

The tau2slog2 converter is called from the command line with the locations of the tau trace and event files. These arguments must be followed by the -o flag and the name of the slog2 file to be written. tau2slog 2 accepts no other arguments.

EXAMPLES

A typical invocation of the converter, to create app.slog2, is as follows:

tau2slog2 app.trc tau.edf -o app.slog2

SEE ALSO

tau_merge(1), tau_convert(1)